summaryrefslogtreecommitdiffstats
path: root/tests/exe
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2019-03-17 14:55:10 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2019-03-17 15:00:06 (EDT)
commit40611783e2f6eb474814bdb75bdcdb2c82594056 (patch)
tree58a41ff4bc1a71dc8f1135a08ecf77f84285703a /tests/exe
parentc91e22d7741c1db9e0b11ace41ae89b3497307f1 (diff)
tests/exe/ob-unpacksource.sh: New test file
Diffstat (limited to 'tests/exe')
-rwxr-xr-xtests/exe/ob-unpacksource.sh52
1 files changed, 52 insertions, 0 deletions
diff --git a/tests/exe/ob-unpacksource.sh b/tests/exe/ob-unpacksource.sh
new file mode 100755
index 0000000..375bb1e
--- /dev/null
+++ b/tests/exe/ob-unpacksource.sh
@@ -0,0 +1,52 @@
+# Tests for ob-unpacksource
+#
+# Copyright (C) 2019 Patrick McDermott
+#
+# This file is part of opkbuild.
+#
+# opkbuild is free software: you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# opkbuild is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+
+set -eu
+
+. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
+. "${TOP_SRCDIR}/tests/aux/common.sh"
+
+FOO_SH="$(cat <<-'EOF'
+ #!/bin/sh
+ printf 'Hello, world!\n'
+ EOF
+ )"
+
+plan_ 4
+
+mkdir -p '../src/src/'
+printf '%s' "${FOO_SH}" >'../src/src/foo.sh'
+
+OPK_SOURCE='foo' OPK_SOURCE_VERSION_UPSTREAM='1.0' \
+ command_ok_ 'ob-unpacksource exit status' ob-unpacksource
+cmd_is 'native sources unpacked' cat 'src/src/foo.sh' <<-EOF
+ ${FOO_SH}
+ EOF
+
+rm -Rf 'src/'
+
+mv '../src/' 'foo/'
+tar -czf '../foo-1.0.orig.tar.gz' 'foo/'
+rm -Rf 'foo/'
+
+OPK_SOURCE='foo' OPK_SOURCE_VERSION_UPSTREAM='1.0' \
+ command_ok_ 'ob-unpacksource exit status' ob-unpacksource
+cmd_is 'upstream sources unpacked' cat 'src/src/foo.sh' <<-EOF
+ ${FOO_SH}
+ EOF